import request from '@/utils/request'

// 查询题纠错列表
export function listQuestionCorrect(query) {
  return request({
    url: '/learn/questionCorrect/list',
    method: 'get',
    params: query
  })
}

// 查询题纠错详细
export function getQuestionCorrect(id) {
  return request({
    url: '/learn/questionCorrect/' + id,
    method: 'get'
  })
}

// 新增题纠错
export function addQuestionCorrect(data) {
  return request({
    url: '/learn/questionCorrect',
    method: 'post',
    data: data
  })
}

// 修改题纠错
export function updateQuestionCorrect(data) {
  return request({
    url: '/learn/questionCorrect',
    method: 'put',
    data: data
  })
}

// 删除题纠错
export function delQuestionCorrect(id) {
  return request({
    url: '/learn/questionCorrect/' + id,
    method: 'delete'
  })
}
